//! Server for datse
use super::*;

/// Configuration for the server.
#[derive(Debug, Clone, PartialEq, Eq, Hash, Serialize, Deserialize)]
pub struct Config
{
    pub trust_x_forwarded_for: bool,
}

impl Config
{
    /// The default configuration
    pub const DEFAULT: Self = Self::_default();
    
    #[inline(always)] const fn _default() -> Self
    {
	Self {
	    trust_x_forwarded_for: false,
	}
    }
}

impl Default for Config
{
    #[inline]
    fn default() -> Self
    {
	Self::_default()
    }
}

pub mod web;
